<template>
  <div>
    <h1 class="headline mb-2 " >{{ page.title }}</h1>
    <v-card>
      <v-tabs
        v-model="active"
        slider-color="yellow"
        dark >
        <v-tab ripple >Text</v-tab>
        <v-tab-item>
          <div
            class="pa-4 blockquote"
            v-html="$md.render(page.text)" />
        </v-tab-item>

        <v-tab ripple >Video</v-tab>
        <v-tab-item>
          <v-layout
            v-for="video in page.videos"
            :key="video.url"
            class="pa-4" >
            <v-flex xs8 >
              <h2 class="subheading mb-4" >{{ video.title }}</h2>
              <iframe
                :src="video.url"
                width="560"
                height="315"
                frameborder="0"
                allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture"
                allowfullscreen />
            </v-flex>
            <v-flex xs4 >
              <h2 class="subheading mb-4" >Summary</h2>
              <v-list class="elevation-4" >
                <v-list-tile
                  v-for="shortcut in video.shortcuts"
                  :key="shortcut.place" >
                  <v-list-tile-avatar >
                    <v-icon>play_circle_outline</v-icon>
                  </v-list-tile-avatar>
                  <v-list-tile-content>
                    <v-list-tile-title >
                      {{ shortcut.place }} - {{ shortcut.text }}
                    </v-list-tile-title>
                  </v-list-tile-content>
                </v-list-tile>
              </v-list>
            </v-flex>
          </v-layout>
        </v-tab-item>

        <v-tab ripple >Interactive</v-tab>
        <v-tab-item>
          <v-card>
            <v-card-text>
              <p class="blockquote" >
                Here you can embed interactive widgets
              </p>
            </v-card-text>
          </v-card>
        </v-tab-item>

        <v-tab ripple >Action points</v-tab>
        <v-tab-item>
          <v-list >
            <template v-for="action in page.actions" >
              <v-list-tile
                :key="action.title" >
                <v-list-tile-avatar>
                  <v-icon>check</v-icon>
                </v-list-tile-avatar>
                <v-list-tile-content>
                  <v-list-tile-title >{{ action.title }}</v-list-tile-title>
                  <v-list-tile-sub-title>{{ action.description }}</v-list-tile-sub-title>
                </v-list-tile-content>
              </v-list-tile>
              <v-divider :key="`d-${action.title}`" />
            </template>
          </v-list>
        </v-tab-item>
      </v-tabs>
      <v-footer>
        <v-spacer />
        <v-chip
          v-for="tag in page.tags"
          :key="tag"
          small
          label >
          {{ tag }}
        </v-chip>
      </v-footer>
    </v-card>
  </div>
</template>

<script>
import DB from '@/components/database'

export default {
  async asyncData ({ params }) {
    const slug = params.slug // When calling /abc the slug will be "abc"
    return {
      slug
    }
  },
  computed: {
    page () {
      let slug = this.slug
      return DB.sections.find((section) => {
        return section.id === slug
      })
    }
  }
}
</script>

<style>

</style>
